
EXTRA_DIST =  

# Warning: This is an automatically generated file, do not edit!

if ENABLE_DEBUG
ASSEMBLY_COMPILER_COMMAND = mcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize- -debug "-define:TRACE;DEBUG"
ASSEMBLY = ../bin/Ntp.Analyzer.dll
ASSEMBLY_MDB = $(ASSEMBLY).mdb
COMPILE_TARGET = library
PROJECT_REFERENCES =  \
	../bin/Ntp.Analyzer.Objects.dll \
	../bin/Ntp.Data.dll \
	../bin/Ntp.Analyzer.Data.dll \
	../bin/Ntp.Analyzer.Import.dll \
	../bin/Ntp.Common.dll
BUILD_DIR = ../bin

NTP_ANALYZER_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.dll.mdb
NTP_ANALYZER_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.dll.mdb
NTP_ANALYZER_OBJECTS_DLL_SOURCE=../bin/Ntp.Analyzer.Objects.dll
NTP_ANALYZER_OBJECTS_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Objects.dll.mdb
NTP_ANALYZER_OBJECTS_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Objects.dll.mdb
NTP_DATA_DLL_SOURCE=../bin/Ntp.Data.dll
NTP_DATA_DLL_MDB_SOURCE=../bin/Ntp.Data.dll.mdb
NTP_DATA_DLL_MDB=$(BUILD_DIR)/Ntp.Data.dll.mdb
NTP_COMMON_DLL_SOURCE=../bin/Ntp.Common.dll
NTP_COMMON_DLL_MDB_SOURCE=../bin/Ntp.Common.dll.mdb
NTP_COMMON_DLL_MDB=$(BUILD_DIR)/Ntp.Common.dll.mdb
NTP_ANALYZER_DATA_DLL_SOURCE=../bin/Ntp.Analyzer.Data.dll
NTP_ANALYZER_DATA_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Data.dll.mdb
NTP_ANALYZER_DATA_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Data.dll.mdb
NTP_DATA_PROVIDER_DLL_SOURCE=../bin/Ntp.Data.Provider.dll
NTP_DATA_PROVIDER_DLL_MDB_SOURCE=../bin/Ntp.Data.Provider.dll.mdb
NTP_DATA_PROVIDER_DLL_MDB=$(BUILD_DIR)/Ntp.Data.Provider.dll.mdb
MYSQL_DATA_DLL_SOURCE=../packages/MySql.Data.6.9.9/lib/net45/MySql.Data.dll
NPGSQL_DLL_SOURCE=../packages/Npgsql.3.1.9/lib/net451/Npgsql.dll
NTP_ANALYZER_IMPORT_DLL_SOURCE=../bin/Ntp.Analyzer.Import.dll
NTP_ANALYZER_IMPORT_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Import.dll.mdb
NTP_ANALYZER_IMPORT_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Import.dll.mdb

endif

if ENABLE_RELEASE
ASSEMBLY_COMPILER_COMMAND = mcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+ "-define:TRACE"
ASSEMBLY = ../bin/Ntp.Analyzer.dll
ASSEMBLY_MDB = 
COMPILE_TARGET = library
PROJECT_REFERENCES =  \
	../bin/Ntp.Analyzer.Objects.dll \
	../bin/Ntp.Data.dll \
	../bin/Ntp.Analyzer.Data.dll \
	../bin/Ntp.Analyzer.Import.dll \
	../bin/Ntp.Common.dll
BUILD_DIR = ../bin

NTP_ANALYZER_DLL_MDB=
NTP_ANALYZER_OBJECTS_DLL_SOURCE=../bin/Ntp.Analyzer.Objects.dll
NTP_ANALYZER_OBJECTS_DLL_MDB=
NTP_DATA_DLL_SOURCE=../bin/Ntp.Data.dll
NTP_DATA_DLL_MDB=
NTP_COMMON_DLL_SOURCE=../bin/Ntp.Common.dll
NTP_COMMON_DLL_MDB=
NTP_ANALYZER_DATA_DLL_SOURCE=../bin/Ntp.Analyzer.Data.dll
NTP_ANALYZER_DATA_DLL_MDB=
NTP_DATA_PROVIDER_DLL_SOURCE=../bin/Ntp.Data.Provider.dll
NTP_DATA_PROVIDER_DLL_MDB=
MYSQL_DATA_DLL_SOURCE=../packages/MySql.Data.6.9.9/lib/net45/MySql.Data.dll
NPGSQL_DLL_SOURCE=../packages/Npgsql.3.1.9/lib/net451/Npgsql.dll
NTP_ANALYZER_IMPORT_DLL_SOURCE=../bin/Ntp.Analyzer.Import.dll
NTP_ANALYZER_IMPORT_DLL_MDB=

endif

AL=al
SATELLITE_ASSEMBLY_NAME=$(notdir $(basename $(ASSEMBLY))).resources.dll

PROGRAMFILES = \
	$(NTP_ANALYZER_DLL_MDB) \
	$(NTP_ANALYZER_OBJECTS_DLL) \
	$(NTP_ANALYZER_OBJECTS_DLL_MDB) \
	$(NTP_DATA_DLL) \
	$(NTP_DATA_DLL_MDB) \
	$(NTP_COMMON_DLL) \
	$(NTP_COMMON_DLL_MDB) \
	$(NTP_ANALYZER_DATA_DLL) \
	$(NTP_ANALYZER_DATA_DLL_MDB) \
	$(NTP_DATA_PROVIDER_DLL) \
	$(NTP_DATA_PROVIDER_DLL_MDB) \
	$(MYSQL_DATA_DLL) \
	$(NPGSQL_DLL) \
	$(NTP_ANALYZER_IMPORT_DLL) \
	$(NTP_ANALYZER_IMPORT_DLL_MDB)  


RESGEN=resgen2
	
all: $(ASSEMBLY) $(PROGRAMFILES) 

FILES = \
	../Shared/AssemblyInfo.cs \
	Config/Attribute/NtpaIndex.cs \
	Config/Node/ClusterConfiguration.cs \
	Config/Node/DriftStatConfiguration.cs \
	Config/Node/NodeConfiguration.cs \
	Graph/HostGraph.cs \
	Graph/GraphBase.cs \
	Graph/PeerGraph.cs \
	Graph/DispersionGraph.cs \
	Log/LogExtensions.cs \
	Render/Renderer.cs \
	Render/HtmlRenderer.cs \
	Render/IHtmlObject.cs \
	Export/StreamDestination.cs \
	Export/FileStreamDestination.cs \
	Export/DirectoryStreamDestination.cs \
	Export/IStreamGenerator.cs \
	Page/DefaultHostPageBuilder.cs \
	Page/BootstrapHostPageBuilder.cs \
	Render/Host/DefaultHostPageRender.cs \
	Render/Host/BootstrapHostPageRender.cs \
	Render/Host/BootstrapHostTableRender.cs \
	Render/Host/BootstrapHostGraphRender.cs \
	Render/Peer/BootstrapPeerPageRender.cs \
	Render/Peer/BootstrapPeerInfoRender.cs \
	Render/Peer/BootstrapPeerGraphRender.cs \
	Page/BootstrapPeerPageBuilder.cs \
	Page/BootstrapAboutPageBuilder.cs \
	Render/BootstrapAboutPageRender.cs \
	Render/Graph/BootstrapGrapPageRender.cs \
	Render/BootstrapPageRender.cs \
	Render/HtmlObjectRender.cs \
	Render/Host/DefaultHostTableRender.cs \
	Render/Host/DefaultHostGraphRender.cs \
	Render/Peer/DefaultPeerGraphRender.cs \
	Render/Peer/DefaultPeerInfoRender.cs \
	Render/Peer/DefaultPeerPageRender.cs \
	Render/BootstrapMenuRender.cs \
	Render/Host/HostLineRender.cs \
	Page/DefaultPeerPageBuilder.cs \
	Page/PageBuilderBase.cs \
	Page/GraphPageBuilder.cs \
	Export/WebLink.cs \
	Render/IHtmlExtension.cs \
	Graph/TrafficGraph.cs \
	Interface/IGraphBaseConfiguration.cs \
	Interface/IHostGraphConfiguration.cs \
	Interface/IPeerGraphConfiguration.cs \
	Interface/ITrafficGraphConfiguration.cs \
	Export/FtpStreamDestination.cs \
	Render/Summary/BootstrapSummaryGraphRender.cs \
	Render/Summary/BootstrapSummaryPageRender.cs \
	Render/Summary/DefaultPeerSummaryGraphRender.cs \
	Render/Summary/DefaultPeerSummaryPageRender.cs \
	Page/DefaultPeerSummaryPageBuilder.cs \
	Page/BootstrapPeerSummaryPageBuilder.cs \
	Export/FileSystemDestination.cs \
	Statistics/DbStatusBuilder.cs \
	Statistics/DirectStatusBuilder.cs \
	Statistics/StatusBuilder.cs \
	Config/ConfigBuilder.cs \
	Interface/IDispersionGraphConfiguration.cs \
	Config/Node/Destination/DestinationCollection.cs \
	Config/Node/Destination/DirectoryCollection.cs \
	Config/Node/Destination/FileCollection.cs \
	Config/Node/Destination/GraphSetConfiguration.cs \
	Config/Node/Destination/WebLinkCollection.cs \
	Config/Node/Graph/GraphBaseConfiguration.cs \
	Config/Node/Graph/HostGraphConfiguration.cs \
	Config/Node/Graph/PeerGraphConfiguration.cs \
	Config/Node/Graph/TrafficGraphConfiguration.cs \
	Config/Node/Navigation/DropdownItemConfiguration.cs \
	Config/Node/Navigation/HeaderMenuItemConfiguration.cs \
	Config/Node/Navigation/HeadMenuItemConfiguration.cs \
	Config/Node/Navigation/ILinkable.cs \
	Config/Node/Navigation/LinkMenuItemConfiguration.cs \
	Config/Node/Navigation/MenuConfiguration.cs \
	Config/Node/Navigation/MenuItemConfiguration.cs \
	Config/Node/Navigation/MenuItemType.cs \
	Config/Node/Navigation/PageMenuItemConfiguration.cs \
	Config/Node/Navigation/SpacerMenuItemConfiguration.cs \
	Config/Node/Page/AboutPageConfiguration.cs \
	Config/Node/Page/Collection/SummaryCollection.cs \
	Config/Node/Page/HostGraphPageConfiguration.cs \
	Config/Node/Page/HostPageConfiguration.cs \
	Config/Node/Page/PageConfigurationBase.cs \
	Config/Node/Page/PageTheme.cs \
	Config/Node/Page/PeerGraphPageConfiguration.cs \
	Config/Node/Page/PeerPageConfiguration.cs \
	Config/Node/Page/PeerSummaryPageConfiguration.cs \
	Config/Node/DatabaseConfiguration.cs \
	Config/Node/HeartbeatConfiguration.cs \
	Config/Node/ListenerConfiguration.cs \
	Config/Node/LogConfiguration.cs \
	Config/Node/NotifyConfiguration.cs \
	Config/Node/PermissionConfiguration.cs \
	Config/Node/ReadingBulkConfiguration.cs \
	Config/Node/Configuration.cs \
	Config/Node/HostConfiguration.cs \
	Config/Node/HostSubConfiguration.cs \
	Config/Syntax/AboutPageSyntaxNode.cs \
	Config/Syntax/DatabaseSyntaxNode.cs \
	Config/Syntax/DirDestinationSyntaxNode.cs \
	Config/Syntax/FileDestinationSyntaxNode.cs \
	Config/Syntax/GraphSetSyntaxNode.cs \
	Config/Syntax/HeartbeatSyntaxNode.cs \
	Config/Syntax/HostGraphSyntaxNode.cs \
	Config/Syntax/HostPageSyntaxNode.cs \
	Config/Syntax/HostSyntaxNode.cs \
	Config/Syntax/ISyntaxNode.cs \
	Config/Syntax/ListenerSyntaxNode.cs \
	Config/Syntax/LogSyntaxNode.cs \
	Config/Syntax/MenuItemSyntaxNode.cs \
	Config/Syntax/MenuSyntaxNode.cs \
	Config/Syntax/NotifySyntaxNode.cs \
	Config/Syntax/Option/DatabaseProviderNode.cs \
	Config/Syntax/Option/HostTypeNode.cs \
	Config/Syntax/Option/LogTypeNode.cs \
	Config/Syntax/Option/MenuItemTypeNode.cs \
	Config/Syntax/Option/PageThemeNode.cs \
	Config/Syntax/Option/SeverityNode.cs \
	Config/Syntax/Option/TimeStampNode.cs \
	Config/Syntax/PeerGraphSyntaxNode.cs \
	Config/Syntax/PeerPageSyntaxNode.cs \
	Config/Syntax/PermissionSyntaxNode.cs \
	Config/Syntax/ReadingSyntaxNode.cs \
	Config/Syntax/RootSyntaxNode.cs \
	Config/Syntax/Setting/BooleanSettingNode.cs \
	Config/Syntax/Setting/IntegerSettingNode.cs \
	Config/Syntax/Setting/NumericSettingNode.cs \
	Config/Syntax/Setting/SettingNode.cs \
	Config/Syntax/Setting/StringSettingNode.cs \
	Config/Syntax/Setting/SymbolSettingNode.cs \
	Config/Syntax/StatSyntaxNode.cs \
	Config/Syntax/SummariesSyntaxNode.cs \
	Config/Syntax/SyntaxNode.cs \
	Config/Syntax/TrafficGraphSyntaxNode.cs \
	Config/Syntax/WebLinkSyntaxNode.cs \
	Config/Attribute/NtpaReference.cs \
	Config/Attribute/NtpaReferenceCollection.cs \
	Config/Attribute/NtpaSetting.cs \
	Config/Attribute/NtpaSettingsCollection.cs \
	Config/Table/SymbolTable.cs \
	Config/Table/Symbol.cs \
	Config/Table/Keyword.cs \
	Config/Table/IntegerToken.cs \
	Config/Table/KeywordToken.cs \
	Config/Table/LitteralToken.cs \
	Config/Table/NumericToken.cs \
	Config/Table/QuotedIdentToken.cs \
	Config/Table/SymbolToken.cs \
	Config/Table/Token.cs \
	Config/Table/TokenType.cs \
	Config/Node/ConfigurationNode.cs \
	Config/Syntax/HostGraphPageSyntaxNode.cs \
	Config/Syntax/PeerGraphPageSyntaxNode.cs \
	Config/Syntax/PeerSummaryPageSyntaxNode.cs \
	Interface/IConfigurationNode.cs \
	Config/Attribute/Layout.cs \
	Config/Node/StatsConfiguration.cs \
	Config/Compiler/ConfigCompiler.cs \
	Config/Compiler/ConfigFileReader.cs \
	Config/Compiler/Tokenizer.cs \
	Config/Compiler/ConfigParser.cs \
	Config/Compiler/Decompiler.cs \
	Config/Compiler/SchematicValidator.cs \
	Config/Compiler/SymbolResolver.cs \
	Config/Compiler/ICompilerStage.cs \
	Config/Node/Page/GraphPageConfiguration.cs \
	Interface/IPathProvider.cs 

DATA_FILES = 

RESOURCES = 

EXTRAS = \
	packages.config 

REFERENCES =  \
	System \
	System.Core \
	System.Drawing \
	System.Runtime.Serialization \
	$(NPLOT_LIBS)

DLL_REFERENCES = 

CLEANFILES = $(PROGRAMFILES) 

include $(top_srcdir)/Makefile.include

NTP_ANALYZER_OBJECTS_DLL = $(BUILD_DIR)/Ntp.Analyzer.Objects.dll
NTP_DATA_DLL = $(BUILD_DIR)/Ntp.Data.dll
NTP_COMMON_DLL = $(BUILD_DIR)/Ntp.Common.dll
NTP_ANALYZER_DATA_DLL = $(BUILD_DIR)/Ntp.Analyzer.Data.dll
NTP_DATA_PROVIDER_DLL = $(BUILD_DIR)/Ntp.Data.Provider.dll
MYSQL_DATA_DLL = $(BUILD_DIR)/MySql.Data.dll
NPGSQL_DLL = $(BUILD_DIR)/Npgsql.dll
NTP_ANALYZER_IMPORT_DLL = $(BUILD_DIR)/Ntp.Analyzer.Import.dll

$(eval $(call emit-deploy-target,MYSQL_DATA_DLL))
$(eval $(call emit-deploy-target,NPGSQL_DLL))


$(eval $(call emit_resgen_targets))
$(build_xamlg_list): %.xaml.g.cs: %.xaml
	xamlg '$<'

$(ASSEMBLY_MDB): $(ASSEMBLY)

$(ASSEMBLY): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
	mkdir -p $(shell dirname $(ASSEMBLY))
	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
